from typing import Any

from report_writer.core.content.base import BaseContent


class StaticContent(BaseContent):
    """
    Статичный контент.

    .. code-block:: python

        content = StaticContent('foo')
        content.render(1)  # 'foo'
        content.render('foo')  # 'foo'
        content.render('bar')  # 'foo'

    :param content: Статичные данные
    """
    def __init__(self, content: Any = None) -> None:
        self._content = content

    def render(self, context: Any = None) -> Any:
        return self._content


class NoneContent(StaticContent):
    """
    None контент.

    .. code-block:: python

        content = NoneContent()
        content.render(1)  # None
        content.render('foo')  # None
        content.render('bar')  # None

    """
    def __init__(self) -> None:
        super(NoneContent, self).__init__(None)
