import abc
from typing import Any
from typing import Tuple

from report_writer.core.report_objects.cursor import Cursor


class BaseReportObject(metaclass=abc.ABCMeta):
    """
    Базовый объект отчёта.
    """
    @abc.abstractmethod
    def write_object(
            self,
            cursor: Cursor,
            data: Any,
            direction: Tuple[int, int] = Cursor.VERTICAL,
    ) -> None:
        """
        Получение писателя для данного объекта.

        :param cursor: Используемый курсор
        :param data: Данные для записи
        :param direction: Направление для смещения курсора
        """
        raise NotImplementedError
